Skip to content

patchBank

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
property name*anyadditional property
PATCH
/api/v1/bank/{id}
curl -i -X PATCH \
  'https://api.prana.software/api/v1/bank/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "property1": null,
    "property2": null
  }'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codestring, non-emptyrequired

Unique code for the bank.

Default:""
Example:"ES1234"
namestring, non-emptyrequired

Name of the bank.

Default:""
Example:"CLAVEI BANK"
ibanstring

IBAN of the bank account.

Default:""
Example:"ES9820385778983000760236"
swiftstring

SWIFT/BIC code.

Default:""
Example:"BSABESBBXXX"
inactiveboolean

Indicates if the bank is inactive.

Default:false
Example:false
observationsstring

Observations about the bank.

Default:""
Example:"Merges with main branch yearly"
riskGrantednumber

Granted risk limit for the bank.

Default:""
Example:25000
riskConsumednumber

Consumed risk for the bank.

Default:""
Example:13000.55
riskAvailablenumber

Available risk for the bank.

Default:""
Example:12000
accountingAccountobject(ApiChartAccountListReadDto)

Accounting account details. See ApiChartAccountListReadDto.

Default:""
remittancePresenterSuffixstring

Suffix for the remittance presenter.

Default:""
Example:"0001"
reportPrtryInsteadCdboolean

Indicates if Prtry should be reported instead of Cd.

Default:false
Example:false
skipBicorbeiTagsboolean

Indicates if BIC/ORBEI tags will be skipped.

Default:false
Example:false
skipIndividualDataboolean

Indicates if individual data will be skipped.

Default:false
Example:false
billsPayableAccountobject(ApiChartAccountListReadDto)

Bills payable account details. See ApiChartAccountListReadDto.

Default:""
policyAccountobject(ApiChartAccountListReadDto)

Policy account details. See ApiChartAccountListReadDto.

Default:""
payerCustomerCodestring

Customer code of the payer.

Default:""
Example:"1002A"
internalReferencestring

Internal bank reference.

Default:""
Example:"BANKREF123"
mnemostring

Mnemonic code for the bank.

Default:""
Example:"MNEMO"
sepaTxtWithoutInstructionIdentificationboolean

Indicates if SEPA TXT will be created without instruction identification.

Default:false
Example:false
confirmingFormatstring(ApiConfirmingFormatEnum)

Format for confirming operations. See ApiConfirmingFormat enum.

Default:""
Enum:"BANKINTER""BBVA""BBVA_EUROCONFIRMING""CAIXABANK""CAIXA_GALICIA""CAJAMAR""SABADELL""SANTANDER""SANTANDER_5_4"
Example:"NORMA_58"
lastPromissoryNoteNumberinteger, (int32)

Last promissory note number.

Default:""
Example:145
remittanceGenerationCsb34boolean

Indicates if CSB34 remittance generation is enabled.

Default:false
Example:false
confirmingEmailTransferboolean

Indicates if confirming email transfer is enabled.

Default:false
Example:true
picturestring

URL or file name of the bank's picture.

Default:""
Example:"bank_logo.png"
pictureTokenstring

Token related to the bank's picture.

Default:""
Example:"token-1f8e"
balancenumber

Bank balance.

Default:""
Example:15400.8
incomenumber

Bank income amount.

Default:""
Example:9671.22
expensesnumber

Bank expenses amount.

Default:""
Example:5400.13
synchronizableboolean

Indicates if the bank is synchronizable.

Default:false
Example:false
showSummaryboolean

Indicates if the summary should be shown.

Default:false
Example:true
lastConciliationDatestring, (date-time)

Date of the last conciliation.

Default:""
Example:"2025-01-15T10:30:00Z"
tokenstring

Bank authentication token.

Default:""
Example:"eyJhbGc..."
cmsBankDescriptionstring

CMS bank description.

Default:""
Example:"Description from CMS system"
Response
// No response example